body {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	font-size: 15px;
	overflow-x: hidden;
}

a:hover {
	text-decoration: none !important;
}

a.nav-link {
	color: #4151b5;
}

.nav-item {
	position: relative;
}

iframe {
	border: none;
}

option:disabled {
	background: red;
	color: #fff;
}

.dropdown-menu {
	font-size: 15px !important;
	z-index: 1031 !important;
}

.dropdown-toggle img,
.dropdown-item img {
	margin-top: -3px;
}

.table .dropdown-menu {
	overflow-y: auto;
}

.table .status,
.table .dmca {
	display: inline-block;
	position: relative;
	vertical-align: middle;
	margin: 0;
	padding: 0;
	line-height: normal;
}

.btn-xs {
	font-size: 80%;
	padding: 0.15rem 0.3rem;
	line-height: 1.2;
}

.btn-block,
.header-title h2 {
	text-overflow: ellipsis;
	word-break: break-word;
}

.btn-group-sm > .btn,
.btn-sm {
	font-size: 0.875rem;
}

@media (min-width: 1024px) and (max-width: 1199.99999px) {
	.container,
	.container-lg,
	.container-md,
	.container-sm {
		max-width: 100%;
	}
}

@media (max-width: 1024px) {
	.container,
	.container-lg,
	.container-md,
	.container-sm {
		max-width: 100%;
	}
}

@media (max-width: 767px) {
	.header-title h2 {
		font-size: 1.4em !important;
	}
}

@media (max-width: 576px) {
	.header-title h2 {
		font-size: 1.2em !important;
	}
}

.input-group-prepend .select2-container--bootstrap4 .select2-selection--single {
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}

.input-group-append .select2-container--bootstrap4 .select2-selection--single {
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}

.input-group-append > .form-control {
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
	z-index: 1;
}

#subsWrapper .input-group-prepend {
	max-width: 150px;
}

@media (max-width: 575.98px) {
	#subsWrapper .input-group {
		flex-direction: column;
		align-items: stretch;
	}

	#subsWrapper .input-group > .custom-select,
	#subsWrapper .input-group > .custom-file,
	#subsWrapper .input-group > .form-control {
		width: 100% !important;
        max-width: 100% !important;
		margin-bottom: 0.5rem !important;
		border-radius: 0.25rem !important;
	}

	#subsWrapper .input-group .custom-file-input {
        border-top-left-radius: 0.25rem;
        border-bottom-left-radius: 0.25rem;
    }

	#subsWrapper .input-group .custom-file-label {
        border-radius: 0.25rem;
    }

	#subsWrapper .input-group > .input-group-append {
		width: 100%;
		margin-left: 0;
		display: flex;
	}

	#subsWrapper .input-group > .input-group-append .btn {
		flex: 1 1 auto;
        border-top-left-radius: 0.25rem !important;
        border-bottom-left-radius: 0.25rem !important;
	}

	#subsWrapper .input-group > .input-group-append .btn:last-child {
        border-top-left-radius: 0 !important;
        border-bottom-left-radius: 0 !important;
	}
}

@media (min-width: 576px) and (max-width: 767.98px) {
	.container,
	.container-sm {
		max-width: 95% !important;
	}
}

@media (min-width: 768px) and (max-width: 991.98px) {
	.container,
	.container-md,
	.container-sm {
		max-width: 95% !important;
	}
}

.btn-green {
	color: #000 !important;
	background-color: #3ae464 !important;
	border-color: #3ae464 !important;
}

.btn-green.focus,
.btn-green:focus,
.btn-green:hover {
	box-shadow: 0 0 0 0.2rem rgba(58, 200, 100, 0.25);
}

:focus-visible,
.dropdown-item,
.navbar-toggler {
	outline: 0 !important;
}

.dropdown-item .fa {
	min-width: 17px;
}

#footer .nav-link,
.navbar-dark .navbar-nav .nav-link {
	color: #fff;
}

@media screen and (max-width: 767.99999px) {
	.nav-pills.nav-justified {
		display: block;
	}
}

@media (min-width: 992px) {
	.navbar-expand-lg.navbar-dark .nav-item.active:after {
		content: "";
		position: absolute;
		left: 0;
		right: 0;
		bottom: -0.55rem;
		border: 0 solid #fff;
		border-bottom-width: 0.2rem;
	}
}

.bg-dark {
	background-image: linear-gradient(248deg, #222, #333);
}

#footer .nav-link:focus,
#footer .nav-link:hover {
	color: rgba(255, 255, 255, 0.75);
}

.table tr.unavailable > td {
	background-color: rgba(255, 0, 0, 0.2);
}

.sweet-alert {
	outline: 0;
	box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
}

.sweet-alert .text-muted {
	font-weight: 400;
	word-break: break-word !important;
}

.sweet-alert .btn-lg {
	padding: 0.375rem 0.75rem;
	line-height: 1.5;
	border-radius: 0.25rem;
}

.sweet-alert p.lead {
	overflow-y: auto;
	max-height: 300px;
}

.sweet-alert .form-group.has-error .sa-input-error {
	display: block;
}

.sweet-alert .form-group.has-error .form-control {
	border-color: #dc3545;
	padding-right: calc(1.5em + 0.75rem) !important;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: right calc(0.375em + 0.1875rem) center;
	background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.sweet-alert .form-group.has-error .form-control:focus {
	border-color: #dc3545;
	box-shadow: 0 0 0 0.2rem rgb(220 53 69 / 25%);
}

.sweet-alert .form-group.has-error .sa-input-error .sa-help-text {
	color: #dc3545;
}

#gotoTop {
	position: fixed;
	bottom: 0;
	border: 0;
	left: auto;
	top: auto;
	right: 15px;
	width: 50px;
	height: 40px;
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
	z-index: 9999999;
	outline: 0;
}

#gotoTop .gotoContent {
	display: block;
	position: relative;
	text-align: center;
	color: #fff;
	height: 100%;
	padding: 5px;
}

.a2a_menu {
	border: 0 !important;
	box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
}

.a2a_wide a {
	margin-top: 0 !important;
}

.a2a_floating_style {
	left: 0;
	top: 150px;
	position: fixed;
	z-index: 1024 !important;
}

.a2a_floating_style a {
	clear: left;
	display: block;
	overflow: hidden;
	padding: 4px;
	text-decoration: none;
}

@media screen and (max-height: 480px) {
	.a2a_floating_style {
		top: 0;
	}
}

@media screen and (max-width: 1099px) {
	.a2a_floating_style {
		top: auto;
		bottom: 0;
		width: auto;
		min-width: 208px;
		border-radius: 0 6px 0 0 !important;
	}

	.a2a_floating_style a {
		float: left;
		line-height: 16px;
		padding: 4px;
		clear: none;
	}
}

.select2-container {
	max-width: 100% !important;
	z-index: 1;
}

.modal-backdrop + .select2-container {
	z-index: 1051;
}

.select2-container--bootstrap4 .select2-selection--single {
	height: calc(1.5em + 0.75rem + 2px);
	padding: 0.375rem 0.75rem;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.5;
}

.select2-container--bootstrap4
	.select2-selection--single
	.select2-selection__rendered {
	width: 100%;
	position: absolute;
	top: 0;
	left: 0;
}

.paypal-buttons {
	min-width: 100% !important;
}

.custom-checkbox.mx-auto {
	padding-left: 0;
	min-width: 1.5rem;
}

.custom-checkbox.mx-auto .custom-control-label:after,
.custom-checkbox.mx-auto .custom-control-label:before {
	left: 50%;
	transform: translateX(-50%);
}

.text-bold {
	font-weight: 700;
}

.toastify {
	padding: 10px 25px;
	max-width: 320px;
}

.toast-close {
	padding: 0;
	position: absolute;
	top: 5px;
	right: 5px;
	font-size: 10px;
}

.picker-dialog {
	z-index: 99999 !important;
}

.picker-dialog-bg {
	z-index: 99998 !important;
}

.picker-dialog-content {
	min-height: 600px !important;
}

.treeview > .list-group {
	border-radius: 0;
}

#btn-google-login > div {
	margin: -2px !important;
}

#btn-google-login iframe {
	margin: -2px auto !important;
	height: 44px !important;
}

.g-recaptcha {
	display: none !important;
}

.toolbar {
	margin: 0 -0.25rem;
}

.toolbar > * {
	margin: 0.25rem;
}

.toolbar input[type="text"],
.toolbar input[type="tel"],
.toolbar input[type="email"],
.toolbar input[type="file"],
.toolbar select {
	width: auto;
}

.was-validated .input-group + .invalid-feedback {
	display: block;
}

.navbar-dark .navbar-nav .nav-link {
	color: #fff !important;
}

.navbar-dark .navbar-nav .nav-link:focus,
.navbar-dark .navbar-nav .nav-link:hover {
	color: rgba(255, 255, 255, 0.75) !important;
}

.bootstrap-dark #footer.bg-dark {
	background-image: linear-gradient(248deg, #111, #222) !important;
	background-color: #111 !important;
}

.bootstrap-dark .sweet-alert {
	background-color: #343a40 !important;
}

.bootstrap-dark .custom-control-label::before {
	background-color: #3f3f3f;
	border: 1px solid #747474;
}

.bootstrap-dark
	.select2-container--bootstrap4
	.select2-selection--single
	.select2-selection__rendered {
	color: #dee2e6;
}

.bootstrap-dark .select2-container,
.bootstrap-dark .select2-dropdown,
.bootstrap-dark .select2-container--bootstrap4 .select2-selection {
	color: #dee2e6;
	background-color: #000;
	border: 1px solid #6c757d;
	border-radius: 0.25rem;
}

.bootstrap-dark .select2-search--dropdown .select2-search__field {
	color: #dee2e6;
	background-color: #000;
	border: 1px solid #6c757d;
}

.bootstrap-dark a.title,
.bootstrap-dark a.nav-link {
	color: #dee2e6 !important;
}

.bootstrap-dark a.title:focus,
.bootstrap-dark a.title:hover,
.bootstrap-dark a.title:active,
.bootstrap-dark a.title.active {
	color: #fff;
}

.bootstrap-dark .btn-outline-custom {
	border-color: #6c757d;
	color: #6c757d;
}

.bootstrap-dark .btn-outline-custom.active,
.bootstrap-dark .btn-outline-custom:not(:disabled):active,
.bootstrap-dark .btn-outline-custom:not(:disabled):hover {
	border-color: #6c757d;
}

.bootstrap-dark .sweet-alert .sa-icon.sa-success::after,
.bootstrap-dark .sweet-alert .sa-icon.sa-success::before,
.bootstrap-dark .sweet-alert .sa-icon.sa-success .sa-fix {
	background-color: #343a40;
}
